Add accounts to the chart
curl --request POST \
--url https://api.breezing.io/v1/accounts \
--header 'Content-Type: application/json' \
--data '
{
"accounts": [
{
"code": "6200",
"name": "Cloud Hosting",
"type": "EXPENSE",
"classification": "<string>"
}
]
}
'import requests
url = "https://api.breezing.io/v1/accounts"
payload = { "accounts": [
{
"code": "6200",
"name": "Cloud Hosting",
"type": "EXPENSE",
"classification": "<string>"
}
] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
accounts: [
{
code: '6200',
name: 'Cloud Hosting',
type: 'EXPENSE',
classification: '<string>'
}
]
})
};
fetch('https://api.breezing.io/v1/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'accounts' => [
[
'code' => '6200',
'name' => 'Cloud Hosting',
'type' => 'EXPENSE',
'classification' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/accounts"
payload := strings.NewReader("{\n \"accounts\": [\n {\n \"code\": \"6200\",\n \"name\": \"Cloud Hosting\",\n \"type\": \"EXPENSE\",\n \"classification\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.breezing.io/v1/accounts")
.header("Content-Type", "application/json")
.body("{\n \"accounts\": [\n {\n \"code\": \"6200\",\n \"name\": \"Cloud Hosting\",\n \"type\": \"EXPENSE\",\n \"classification\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"accounts\": [\n {\n \"code\": \"6200\",\n \"name\": \"Cloud Hosting\",\n \"type\": \"EXPENSE\",\n \"classification\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"added": [
{
"code": "<string>",
"name": "<string>",
"type": "<string>",
"classification": "bank"
}
],
"total": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Chart of Accounts
Add Chart Accounts API
Add one or more GL accounts to a Breezing company’s chart of accounts through the API, with no accounting integration needed.
POST
/
accounts
Add accounts to the chart
curl --request POST \
--url https://api.breezing.io/v1/accounts \
--header 'Content-Type: application/json' \
--data '
{
"accounts": [
{
"code": "6200",
"name": "Cloud Hosting",
"type": "EXPENSE",
"classification": "<string>"
}
]
}
'import requests
url = "https://api.breezing.io/v1/accounts"
payload = { "accounts": [
{
"code": "6200",
"name": "Cloud Hosting",
"type": "EXPENSE",
"classification": "<string>"
}
] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
accounts: [
{
code: '6200',
name: 'Cloud Hosting',
type: 'EXPENSE',
classification: '<string>'
}
]
})
};
fetch('https://api.breezing.io/v1/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'accounts' => [
[
'code' => '6200',
'name' => 'Cloud Hosting',
'type' => 'EXPENSE',
'classification' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/accounts"
payload := strings.NewReader("{\n \"accounts\": [\n {\n \"code\": \"6200\",\n \"name\": \"Cloud Hosting\",\n \"type\": \"EXPENSE\",\n \"classification\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.breezing.io/v1/accounts")
.header("Content-Type", "application/json")
.body("{\n \"accounts\": [\n {\n \"code\": \"6200\",\n \"name\": \"Cloud Hosting\",\n \"type\": \"EXPENSE\",\n \"classification\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"accounts\": [\n {\n \"code\": \"6200\",\n \"name\": \"Cloud Hosting\",\n \"type\": \"EXPENSE\",\n \"classification\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"added": [
{
"code": "<string>",
"name": "<string>",
"type": "<string>",
"classification": "bank"
}
],
"total": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Query Parameters
Body
application/json
Last modified on November 13, 2026